subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Shahaf <...@daniel.shahaf.name>
Subject Re: Tarball get-deps.sh not downloading serf
Date Thu, 03 Nov 2016 15:38:21 GMT
Alexander Teut wrote on Thu, Nov 03, 2016 at 16:58:33 +0300:
> Firstly, the serf version is 1.3.8, but there's already 1.3.9.

That's intentional.  We don't bump recommended dependency versions in
patch releases unless required to pick up a bug fix.  (1.3.9 should
stlil work; it's just not what the script picks up.)

> Secondly, it's impossible to install it, because of wrong URL at get_serf()
> section. Google Code repo is deprecated. I guess, line 91 should be
> replaced with:
> 
> $HTTP_FETCH https://www.apache.org/dist/serf/$SERF.tar.bz2

Already fixed for 1.9.5:

    % svn cat ^/subversion/branches/1.9.x/get-deps.sh | grep serf | grep ://
        $HTTP_FETCH https://archive.apache.org/dist/serf/$SERF.tar.bz2 

>

Thanks for the report.

Daniel

Mime
View raw message